当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 1 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 5.10
帖子发表于 : 2006-11-15 14:00 
头像

注册: 2006-01-09 9:41
帖子: 201
地址: 湖南邵东
送出感谢: 0 次
接收感谢: 0 次
本文适用于采用i386安装光盘安装的系统,部分内容适合Amd64和PPC安装。

前言

因为中间部分包没有相应的Amd64和PPC的对应包,因此会出现找不到该包的情况。如果你是属于这样的系统,请到论坛咨询。

当你刚刚安装完毕之后,我们来花10分钟设置一下系统,让其有一个更加舒适的中文环境。

* 当你安装完毕后,进入,不论你进入的是中文,还是英文,都来和我一起来创建一个合适的环境。
*

如果您看到 "$", 的符号, 意思是你必须在终端状态下运行此命令。(应用程序 -> 附件 -> 终端)
* "sudo" 的意思是为超级用户执行。"sudo" 需要提供密码 "Password:".请输入您指定的用户密码
* 如果厌烦反复键入 "sudo" 可以通过键入 "sudo -s -H" 和您的密码转换到超级用户。
* sudo 是什么东西? 为什么不直接使用 su 进入 root 帐号?

修改源并升级更新

不同的网络状况连接以下源的速度不同, 所以cn99并不一定是最快的源, 建议在添加前手动验证以下源的连接速度(ping下就行),比如说北京网通ADSL用户连接cn99就非常慢,而ftp.sjtu.edu.cn是相对较快的源,选择最快的源可以节省大批下载时间

Breezy (5.10) 版本

*

请参阅 [Ubuntu简介]

sudo cp /etc/apt/sources.list /etc/apt/sources.list_backup
sudo gedit /etc/apt/sources.list

*

用以下内容替换文件中的所有内容

deb http://archive.ubuntu.com/ubuntu/ breezy main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ breezy-security main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ breezy-updates main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ breezy-backports main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu-cn/ breezy main restricted universe multiverse

这里你也可以直接使用更快速的ubuntu.cn99.com的源(推荐):

deb http://ubuntu.cn99.com/ubuntu/ breezy main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ breezy-updates main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ breezy-security main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ breezy-backports main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu-cn/ breezy main restricted universe multiverse

这里你还可以使用速度也非常快的的mirror.lupaworld.com的源:

deb http://mirror.lupaworld.com/ubuntu/archive/ breezy main restricted universe multiverse
deb http://mirror.lupaworld.com/ubuntu/archive/ breezy-security main restricted universe multiverse
deb http://mirror.lupaworld.com/ubuntu/archive/ breezy-updates main restricted universe multiverse
deb http://mirror.lupaworld.com/ubuntu/archive/ breezy-backports main restricted universe multiverse
deb http://mirror.lupaworld.com/ubuntu/ubuntu-cn/ breezy main restricted universe multiverse

如果是教育网用户请使用上海交通大学的源:

deb http://ftp.sjtu.edu.cn/ubuntu/ breezy main multiverse restricted universe
deb http://ftp.sjtu.edu.cn/ubuntu/ breezy-backports main multiverse restricted universe
deb http://ftp.sjtu.edu.cn/ubuntu/ breezy-proposed main multiverse restricted universe
deb http://ftp.sjtu.edu.cn/ubuntu/ breezy-security main multiverse restricted universe
deb http://ftp.sjtu.edu.cn/ubuntu/ breezy-updates main multiverse restricted universe
deb http://ftp.sjtu.edu.cn/ubuntu-cn/ breezy main multiverse restricted universe bleeding

或者使用清华大学计算机系学生科协的源:

deb http://mirror.net9.org/ubuntu/ breezy main multiverse restricted universe
deb http://mirror.net9.org/ubuntu/ breezy-backports main multiverse restricted universe
deb http://mirror.net9.org/ubuntu/ breezy-proposed main multiverse restricted universe
deb http://mirror.net9.org/ubuntu/ breezy-security main multiverse restricted universe
deb http://mirror.net9.org/ubuntu/ breezy-updates main multiverse restricted universe
deb http://mirror.net9.org/ubuntu-cn/ breezy main multiverse restricted universe

* 保存编辑好的文件

sudo apt-get update

设置本地local环境

*

sudo dpkg-reconfigure locales

确保 zh_CN.UTF-8 被选择,同时也默认local为 zh_CN.UTF-8

安装中文支持环境

* 请根据你的系统来选择

安装中文语言支持(Ubuntu)

*

sudo apt-get install language-pack-gnome-zh language-pack-gnome-zh-base language-pack-zh language-pack-zh-base language-support-zh

安装中文语言支持(KUbuntu)

*

sudo apt-get install language-pack-kde-zh language-pack-kde-zh-base language-pack-zh language-pack-zh-base language-support-zh

安装中文字体

* 如果出现需要输入[Y/n] 或 [y/N] 一律输入 y 并 回车

sudo apt-get install ttf-arphic-ukai ttf-arphic-uming

如果希望有更好的中文显示,推荐 使用圆体美化 。

安装输入法

* 你可以在SCIM和fcitx输入法中任选一种安装

SCIM

*

$sudo apt-get install scim scim-modules-socket scim-modules-table scim-pinyin scim-tables-zh scim-input-pad
$sudo sh -c " echo 'export XMODIFIERS=@im=SCIM ; export GTK_IM_MODULE="scim" ; export QT_IM_MODULE="scim" ; scim -d ' > /etc/X11/Xsession.d/95xinput "
$sudo chmod +755 /etc/X11/Xsession.d/95xinput

注:在Dapper下省略后两步
*

注:在Dapper里也可以直接选择系统->系统管理—>语言支持(language support)勾选Chinese 就会自动安装和配置scim

Fcitx

*

$sudo apt-get install fcitx
$sudo sh -c " echo 'export XMODIFIERS=@im=fcitx ; export GTK_IM_MODULE="fcitx" ; export QT_IM_MODULE="fcitx" ; fcitx ' > /etc/X11/Xsession.d/95xinput "
$sudo chmod +755 /etc/X11/Xsession.d/95xinput

注:在Dapper下省略后两步

激活输入法

* 重新启动Xwindow完成。按 Ctrl + 空格 键激活输入法。

设置LC_ALL和其它属性(6.06中似乎已不需这步)

*

sudo gedit /etc/environment

* 在编辑器里,将内容修改如下(默认使用中文界面):

LANGUAGE="zh_CN:zh:en_US:en"
LC_CTYPE=zh_CN.UTF-8
LANG=zh_CN.UTF-8
GST_ID3_TAG_ENCODING=GBK

* 如果需要使用英文界面,将内容修改如下:

LANGUAGE="en_US:en"
LC_CTYPE=zh_CN.UTF-8
LANG=en_GB.UTF-8
GST_ID3_TAG_ENCODING=GBK

保存,关闭编辑器 好了,注销一下电脑。(系统 -> 注销 -> 注销) 这时候,输入法 (按 Ctrl + 空格 键激活输入法) 都应该可以使用了,并且整个界面都是中文的了。

进一步设置

* 安装JAVA环境(仅适合x86,PPC版见另外的文件)
* 如果出现需要输入[Y/n] 或 [y/N] 一律输入 y 并 回车

sudo apt-get install sun-j2re1.5
sudo ln -sf /usr/lib/j2re1.5-sun/bin/java /usr/bin/java

设置当前默认的java解释器

*

sudo update-alternatives --config java

会出现可能如下的画面:

There are 3 alternatives which provide `java'.

Selection Alternative
-----------------------------------------------
1 /usr/lib/j2sdk1.5-sun/bin/java
2 /usr/bin/gij-wrapper-4.0
*+ 3 /usr/lib/jvm/java-gcj/bin/java

Press enter to keep the default[*], or type selection number:

输入 有包含 "sun" 的行的前面的数字。如上面显示,输入1回车即可。

安装QQ

* 1.下载并安装
* 安装QQ需要先安装JAVA环境

wget -c http://download.ubuntu.org.cn/software/ ... jre.tar.gz
sudo tar zxvf lumaqq_2005-linux_gtk2_x86_no_jre.tar.gz -C /opt/
wget -c http://download.ubuntu.org.cn/software/ ... .15.00.zip
sudo unzip -o lumaqq_2005_patch_2006.02.02.15.00.zip -d /opt/LumaQQ/lib
sudo chown -R root:root /opt/LumaQQ/
sudo chmod -R 755 /opt/LumaQQ/
sudo gedit /usr/share/applications/LumaQQ.desktop

2.在新增的文件内加入下面这几行

[Desktop Entry]
Name=LumaQQ
Comment=QQ Client
Exec=/opt/LumaQQ/lumaqq
Icon=/opt/LumaQQ/QQ.png
Terminal=false
Type=Application
Categories=Application;Network;

3.保存编辑过的文件 安装完成后的快捷方式在(应用程序 -> internat -> LumaQQ)。

安装多媒体播放驱动(仅适合x86,for ppc见另外文件)

* 如果出现需要输入[Y/n] 或 [y/N] 一律输入 y 并 回车
*

sudo apt-get install beep-media-player totem-xine w32codecs gstreamer0.8-plugins

在实际使用中,将所有的声音输出改为 esd 输出,如果不知如何修改,也可以参考如何混音

安装英汉辞典

* 如果出现需要输入[Y/n] 或 [y/N] 一律输入 y 并 回车

sudo apt-get install stardict stardict-common stardict-cdict-gb stardict-cedict-gb stardict-hanzim stardict-langdao-ce-gb stardict-langdao-ec-gb stardict-oxford-gb stardict-xdict-ce-gb stardict-xdict-ec-gb

安装完成后的快捷方式在(应用程序 -> 附件 -> 星际译王)

安装浏览器的Flash支持(仅x86)

*

sudo apt-get install flashplayer-mozilla

安装完成后FireFox就可以支持flash了

安装bt软件

* 如果出现需要输入[Y/n] 或 [y/N] 一律输入 y 并 回车

sudo apt-get install azureus

安装完成后的快捷方式在(应用程序 -> Internet -> azureus)

更新内核(仅x86)

* 升级你的内核,让系统更快. 如果你的电脑是Intel芯片,则用如下命令:

sudo apt-get install linux-686

如果是AMD芯片,则使用:

sudo apt-get install linux-k7


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 1 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译